Package: groovy.inspect.swingui

## [Groovy] Class ScriptToTreeNodeAdapter

- groovy.inspect.swingui.ScriptToTreeNodeAdapter

- This class controls the conversion from a Groovy script as a String into a tree representation of the AST of that script. The script itself will be a tree node, and each class in the script will be a tree node. The conversion creates tree nodes for any concrete class found within an AST visitor. So, if a tree node should be shown once for each ASTNode and the parent types will not appear as nodes. Custom subclasses of expression types will not appear in the tree. The String label of a tree node is defined by classname in AstBrowserProperties.properties.

  Authors:
    Hamlet D'Arcy
    Roshan Dawrani

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassLoader` | `classLoader`
    `static Properties` | `classNameToStringForm`
    `AstBrowserNodeMaker` | `nodeMaker`
    `boolean` | `showClosureClasses`
    `boolean` | `showScriptClass`
    `boolean` | `showScriptFreeForm`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptToTreeNodeAdapter (def classLoader, def showScriptFreeForm, def showScriptClass, def showClosureClasses, def nodeMaker)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `compile(String script, int compilePhase)` Performs the conversion from script to TreeNode.
    `` | `void` | `extendMethodNodePropertyTable(List<List<String>> table, MethodNode node)` Extends the method node property table by adding custom properties.
    `` | `def` | `make(def node)`
    `` | `def` | `make(MethodNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final GroovyClassLoader classLoader

    - #### static Properties classNameToStringForm

    - #### final AstBrowserNodeMaker nodeMaker

    - #### boolean showClosureClasses

    - #### boolean showScriptClass

    - #### boolean showScriptFreeForm

  - ### Constructor Detail

    - #### ScriptToTreeNodeAdapter(def classLoader, def showScriptFreeForm, def showScriptClass, def showClosureClasses, def nodeMaker)

  - ### Method Detail

    - #### def compile(String script, int compilePhase)

      Performs the conversion from script to TreeNode.

      Parameters:
        `script` - a Groovy script in String form
        `compilePhase` - the int based CompilePhase to compile it to.

    - #### void extendMethodNodePropertyTable(List<List<String>> table, MethodNode node)

      Extends the method node property table by adding custom properties.

    - #### def make(def node)

    - #### def make(MethodNode node)